@import "../../../styles/variables.scss";
@import "../../../styles/mixins.scss";


.competition {
  border: 1px solid $dark-blue;
  border-radius: 15px;
  padding: 3vw;
  margin: 5vw 10vw;

  &__topBar {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    width: 100%;
    margin-bottom: 60px;
  }

  &__container {
    width: 60%;
  }

  &__title {
    @include heading3;
    margin-bottom: 15px;
  }

  &__content {
    display: flex;
    justify-content: space-between;
    align-items: center;

    img {
      width: 20px;
      margin-right: 10px;
    }
  }

  &__place {
    display: flex;
    align-items: center;
  }

  p {
    span {
      font-weight: bold;
    }
  }

  &__dateContainer {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
  }

  &__date {
    font-size: 1.5rem;
  }

  &__wrapper {
    display: flex;
  }

  .rankings {
    display: flex;
    flex-direction: column;
    margin-left: 30px;

    &__name, &__item {
      display: grid;
      grid-template-columns: 1fr 1fr 1fr;
      padding: 15px;

      p {
        padding: 0 15px;
      }
    }

    &__name {
      font-weight: bold;
      font-size: 1.2rem;
      text-align: center;
    }

    &__item {
      text-align: center;
      align-items: center;
      transition: all 300ms ease-in-out;

      &:nth-of-type(2n) {
        background-color: $grey;
      }

      &:hover {
        background-color: $red;
        color: #FFF;
      }
    }
  }
}
